/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.upgrade.v6_0_12_to_6_1_0;

import com.liferay.portlet.bookmarks.model.BookmarksEntry;
import com.liferay.portlet.bookmarks.model.BookmarksFolder;

/**
 * @author Alexander Chow
 * @author Connor McKay
 */
public class UpgradePermission
	extends com.liferay.portal.upgrade.v6_1_0.UpgradePermission {

	@Override
	protected void doUpgrade() throws Exception {
		convertResourcePermissions(
			BookmarksEntry.class.getName(), "BookmarksEntry", "entryId");
		convertResourcePermissions(
			BookmarksFolder.class.getName(), "BookmarksFolder", "folderId");
	}

}