/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.kernel.servlet;

/**
 * @author Brian Wing Shun Chan
 */
public interface ServletResponseConstants {

	public static final int SC_AUDIO_PREVIEW_DISABLED_EXCEPTION = 221;

	public static final int SC_DUPLICATE_FILE_EXCEPTION = 490;

	public static final int SC_FILE_ANTIVIRUS_EXCEPTION = 494;

	public static final int SC_FILE_CUSTOM_EXCEPTION = 499;

	public static final int SC_FILE_EXTENSION_EXCEPTION = 491;

	public static final int SC_FILE_NAME_EXCEPTION = 492;

	public static final int SC_FILE_SIZE_EXCEPTION = 493;

	public static final int SC_VIDEO_PREVIEW_DISABLED_EXCEPTION = 220;

}